Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	GNU Wget is a free software package for retrieving files using HTTP, HTTPS and FTP.
Name:      	wget
Version:   	1.11.4
Release:   	1
Provides:	wget
License: 	GNU/GPL
URL:		http://wget.sunsite.dk
Group:     	Networking/File Transfer
Source0: 	wget-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires:	openssl
BuildRequires:	glibc openssl-devel
Prereq(post,preun): /sbin/install-info

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
GNU Wget is a free software package for retrieving files using HTTP, HTTPS and FTP,
the two most widely-used Internet protocols.
It is a non-interactive commandline tool, so it may easily be called from scripts,
cron jobs, terminals without Xsupport, etc.

%post
/sbin/install-info %_infodir/wget.info.gz %_infodir/dir

%preun
if [ "$1" = 0 ]; then
/sbin/install-info --del %_infodir/wget.info.gz %_infodir/dir
fi 

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
--mandir=%_mandir \
--infodir=%_infodir \
--sysconfdir=%_sysconfdir \
--disable-debug
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_sysconfdir
%_bindir
%_datadir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jul 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.11.4-1
- Version update
* Fri May 02 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.11.2-1
- Version update
* Tue Mar 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.11.1-1
- Version update
* Sun Feb 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.11-1
- Version update
* Sat Oct 15 2005 Christian Wasem <wasem@ccux-linux.de> 1.10.2-2
- added install of the info file
* Sat Oct 15 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.10.2-1
- Version update
* Wed Aug 17 2005 Christian Metzen <metzench@ccux-linux.de> 1.10.1-1
- Version update
* Sun Jul 10 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 1.10-2
- rebuilt against openssl 0.9.8
* Tue Jun 14 2005 Christian Metzen <metzench@ccux-linux.de> 1.10-1
- Version Update to 1.10
* Wed Nov 17 2004 Christian Metzen <metzench@ccux-linux.de> 1.9.1-1
- Initial Release
